from typing import Any, List, Mapping


def get_dict_value(dict_value: Mapping, path: List[str], default_value: Any = None) -> Any:
    result = default_value
    current_value = dict_value
    for field in path:
        if current_value is not None and field in current_value:
            current_value = current_value[field]
            result = current_value
        else:
            result = default_value
            break

    if result is None:
        return default_value
    return result
